VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Static Public Member Functions | List of all members
CubicBezierTimingFunction Class Reference
Animation » Animation Timing Functions | New classes » Version 4.7

`#include <timingfunctions.h>`

Inheritance diagram for CubicBezierTimingFunction:

## Public Member Functions
| CubicBezierTimingFunction (uint32_t milliseconds, CPoint p1, CPoint p2)
| CubicBezierTimingFunction (const CubicBezierTimingFunction &)=default
CubicBezierTimingFunction & | operator= (const CubicBezierTimingFunction &)=default
float | getPosition (uint32_t milliseconds) override
Public Member Functions inherited from TimingFunctionBase
| TimingFunctionBase (uint32_t length)
| TimingFunctionBase (const TimingFunctionBase &)=default
TimingFunctionBase & | operator= (const TimingFunctionBase &)=default
uint32_t | getLength () const
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default
virtual float | getPosition (uint32_t milliseconds)=0
virtual bool | isDone (uint32_t milliseconds)=0

## Static Public Member Functions
static CubicBezierTimingFunction | easy (uint32_t time)
static CubicBezierTimingFunction | easyIn (uint32_t time)
static CubicBezierTimingFunction | easyOut (uint32_t time)
static CubicBezierTimingFunction | easyInOut (uint32_t time)

## Additional Inherited Members
Protected Attributes inherited from TimingFunctionBase
uint32_t | length

## Constructor & Destructor Documentation

## ◆ CubicBezierTimingFunction() [1/2]

CubicBezierTimingFunction | ( | uint32_t | milliseconds,
|  | CPoint | p1,
|  | CPoint | p2
| ) |  |

## ◆ CubicBezierTimingFunction() [2/2]

CubicBezierTimingFunction | ( | const CubicBezierTimingFunction & |  | ) |
| default

## Member Function Documentation

## ◆ easy()

CubicBezierTimingFunction easy | ( | uint32_t | time | ) |
| static

## ◆ easyIn()

CubicBezierTimingFunction easyIn | ( | uint32_t | time | ) |
| static

## ◆ easyInOut()

CubicBezierTimingFunction easyInOut | ( | uint32_t | time | ) |
| static

## ◆ easyOut()

CubicBezierTimingFunction easyOut | ( | uint32_t | time | ) |
| static

## ◆ getPosition()

float getPosition | ( | uint32_t | milliseconds | ) |
| override virtual

Implements ITimingFunction.

## ◆ operator=()

CubicBezierTimingFunction & operator= | ( | const CubicBezierTimingFunction & |  | ) |
| default

The documentation for this class was generated from the following files:

- timingfunctions.h
- timingfunctions.cpp